Skip to main content
POST
/
v1
/
products
/
{id}
/
transfer
Transfer Product Item
curl --request POST \
  --url https://dev.api.mufi.app/v1/products/{id}/transfer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "product_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sender_email": "jsmith@example.com",
  "sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "recipient_email": "jsmith@example.com",
  "recipient_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "product_item": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "item_id": 123,
    "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "product_name": "<string>",
    "product_type": "admission",
    "redemption_count": 123,
    "redemption_quantity": 123,
    "is_fully_redeemed": true,
    "redeemed_at": 123
  },
  "previous_owner": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "first_name": "<string>",
    "last_name": "<string>"
  },
  "new_owner": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "first_name": "<string>",
    "last_name": "<string>"
  },
  "transferred_at": 123
}

Authorizations

Authorization
string
header
required

A JWT Access Token obtained from Google Cloud.

Path Parameters

id
string<uuid>
required

The product ID.

Body

application/json

Transfer request with sender and recipient identifiers.

product_item_id
string<uuid>
required

The ID of the product item to transfer.

sender_email
string<email>

Email of the current owner (sender).

sender_user_id
string<uuid>

User ID of the current owner (sender).

recipient_email
string<email>

Email of the recipient.

recipient_user_id
string<uuid>

User ID of the recipient.

Response

Product item transferred successfully.

product_item
object
required
previous_owner
object
required
new_owner
object
required
transferred_at
integer
required